/*
* CLIF is a Load Injection Framework
* Copyright (C) 2004, 2011 France Telecom R&D
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* Contact: clif@ow2.org
*/

package org.ow2.clif.server.api;


import java.util.Map;
import org.objectweb.fractal.api.Component;
import org.ow2.clif.supervisor.api.ClifException;
import org.ow2.clif.util.ExecutionContext.InitObject;


/**
 * Interface for installing/uninstalling blades in a CLIF runtime
 * (so-called "CLIF server")
 * @author Bruno Dillenseger
 */
public interface ClifServerControl
{
	public final String CLIF_SERVER_CONTROL = "Clif server control";

	public void initContext(InitObject initExecutionContext);
	public Component addBlade(
		String adlDefinition,
		Map<String,String> context,
		String bladeId,
		String argument)
	throws ClifException;

	public void removeBlade(String bladeId)
	throws ClifException;

	public void removeAllBlades()
	throws ClifException;
}
