/*
* CLIF is a Load Injection Framework
* Copyright (C) 2003,2004, 2011 France Telecom R&D
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* Contact: clif@ow2.org
*/

package org.ow2.clif.storage.lib.filestorage;


import java.io.Serializable;

import org.ow2.clif.storage.lib.filestorage.client.FileServerClientFactory;


public class FileStorageCollectStep implements Serializable
{
	private static final long serialVersionUID = -5729761667850292397L;
	protected final String filename;
	protected final FileServerClientFactory factory;

	public FileStorageCollectStep(String filename, FileServerClientFactory impl)
	{
		this.filename = filename;
		this.factory = impl;
	}


	public String getFilename()
	{
		return filename;
	}


	public FileServerClientFactory getClientFactory()
	{
		return this.factory;
	}
}
