/*
* CLIF is a Load Injection Framework
* Copyright (C) 2014 Orange SA
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* Contact: clif@ow2.org
*/
package org.ow2.clif.storage.lib.filestorage.client;

import java.io.Serializable;
import java.net.URI;

/**
 * FileServerClientFactory over ProActive implementation
 */
public class PABasedFileServerClientFactory implements FileServerClientFactory, Serializable {
	private static final long serialVersionUID = -7246804843856040058L;
	private final URI serverURL;

	public PABasedFileServerClientFactory(){
		this.serverURL = null;
	}

	public PABasedFileServerClientFactory(URI url) {
		this.serverURL = url;
	}

	/** Creates a new PABasedFileServerClient */
	public FileServerClient createClient() {
		return new PABasedFileServerClient(this.serverURL);
	}

}
